/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.dto.comLib;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
* 查询接口--数据传输对象：业务组件库目录树
*
* createdate:  2022-12-06 11:42:09  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "业务组件库目录树")
public class LibraryBusComTreeQueryDto implements Serializable
{
    /**
     * 名称<br>
     */
    @ApiModelProperty("名称")
    private String treeName;

    /**
     * 父节点id<br>
     */
    @ApiModelProperty("父节点id")
    private String parentId;

    public String getTreeName() {
        return treeName;
    }

    public void setTreeName(String treeName) {
        this.treeName = treeName;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }
}